Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::ref_view< Rng > Struct Template Reference
Views

## Public Member Functions
constexpr Rng & | base () const noexcept
constexpr iterator_t< Rng > | begin () const noexcept(noexcept(ranges::begin(*rng_)))
constexpr auto | data () const
constexpr auto | empty () const noexcept(noexcept(ranges::empty(*rng_))) -> bool
constexpr sentinel_t< Rng > | end () const noexcept(noexcept(ranges::end(*rng_)))
constexpr | ref_view (Rng &rng) noexcept
constexpr auto | size () const